xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesc Alted <fal...@pytables.org>
Subject Re: No ImagePreloader found for *.svg
Date Wed, 04 Mar 2009 11:40:26 GMT
Vincent,

Vincent Hennebert <vhennebert <at> gmail.com> writes:

> I can render your document without any problem on my 64-bit Ubuntu, both
> with FOP 0.95 and FOP Trunk.

Well, it's a relief to know that my machine would be able to do the same too.
The problem now is how to do it...

> 
> You said you installed FOP from the OpenSUSE repository, so I’d suspect
> there is a packaging problem there. Is XML Graphics a separate package
> that FOP depends on? What version is it?

No.  It seems that fop in openSUSE is pretty much self-contained.  Here are
the requisites of the package:

Requires:
/bin/sh
jre
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsLzma) <= 4.4.2-1

so, it seems to depend only on having a JRE installed, which makes sense.

> Can you try again with a version of FOP directly downloaded from our
> website:
> http://xmlgraphics.apache.org/fop/download.html#binary
> 
> If that works with that version then this indeed is an OpenSUSE
> packaging problem. You may then want to notify the maintainers of your
> problem.

Unfortunately, and as I have said in an earlier message, I've tried this out
already, but to no avail.

Francesc




---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message